GET /v1/search

Service: content · operationId: (none)

Required scopes

(no scope declared — review service config)

Query parameters

  • q (string) required
  • scope (string) —
  • groupBy (string) —
  • brandId (string) —
  • limit (number) —

Responses

200 Grouped search results across entity types

{
  "type": "object",
  "properties": {
    "results": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "indexUid": {
            "type": "string"
          },
          "hits": {
            "type": "array",
            "items": {
              "type": "object",
              "properties": {
                "id": {
                  "type": "string"
                },
                "_rankingScore": {
                  "type": "number"
                }
              },
              "required": [
                "id"
              ]
            }
          },
          "estimatedTotalHits": {
            "type": "number"
          },
          "processingTimeMs": {
            "type": "number"
          }
        },
        "required": [
          "indexUid",
          "hits"
        ]
      }
    },
    "query": {
      "type": "string"
    },
    "operators": {
      "type": "object",
      "properties": {
        "authorId": {
          "type": [
            "string",
            "null"
          ]
        },
        "tag": {
          "type": [
            "string",
            "null"
          ]
        },
        "communityId": {
          "type": [
            "string",
            "null"
          ]
        },
        "typeScope": {
          "type": [
            "string",
            "null"
          ]
        }
      },
      "required": [
        "authorId",
        "tag",
        "communityId",
        "typeScope"
      ]
    }
  },
  "required": [
    "results",
    "query",
    "operators"
  ]
}

400 Missing or invalid query

Example

curl -X GET https://content.platform.loop.health/v1/search \
  -H "Authorization: Bearer $ACCESS_TOKEN"